Aden

Tours

Tour management — create, update, and manage tours

GET
/api/v1/tours/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/tours/?teamId=string"
POST
/api/v1/tours/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/tours/" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "teamId": 0  }'
GET
/api/v1/tours/{id}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/tours/string"
DELETE
/api/v1/tours/{id}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X DELETE "https://example.com/api/v1/tours/string"
PUT
/api/v1/tours/{id}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PUT "https://example.com/api/v1/tours/string" \  -H "Content-Type: application/json" \  -d '{}'
GET
/api/v1/tours/{id}/covers

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/tours/string/covers"
POST
/api/v1/tours/{id}/covers

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/tours/string/covers" \  -H "Content-Type: application/json" \  -d '{    "fileName": "string"  }'
DELETE
/api/v1/tours/{id}/covers/{coverId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
coverId*string
curl -X DELETE "https://example.com/api/v1/tours/string/covers/string"
PUT
/api/v1/tours/{id}/covers/{coverId}/current

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
coverId*string
curl -X PUT "https://example.com/api/v1/tours/string/covers/string/current"
PUT
/api/v1/tours/{id}/covers/{coverId}/public

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
coverId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PUT "https://example.com/api/v1/tours/string/covers/string/public" \  -H "Content-Type: application/json" \  -d '{    "isPublic": true  }'
Was this helpful?